Bug 1279786 - Review Request: python-dbf - Pure python package for reading/writing dBase, FoxPro, and Visual FoxPro .dbf
Review Request: python-dbf - Pure python package for reading/writing dBase, F...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1279787
  Show dependency treegraph
 
Reported: 2015-11-10 05:08 EST by Julien Enselme
Modified: 2015-12-15 08:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-14 06:51:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williamjmorenor: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Julien Enselme 2015-11-10 05:08:02 EST
Spec URL: http://dl.jujens.eu/SPECS/python-dbf.spec
SRPM URL: http://dl.jujens.eu/SRPMS/python-dbf-0.96.005-1.fc23.src.rpm
Description:
Pure python package for reading/writing dBase, FoxPro, and Visual FoxPro .dbf
files (including memos)

Currently supports dBase III, Clipper, FoxPro, and Visual FoxPro tables. Text is
returned as unicode, and codepage settings in tables are honored. Memos and Null
fields are supported.

Fedora Account System Username: jujens
Comment 1 William Moreno 2015-12-04 13:34:28 EST
Package Aproved
===============
1. Ask upstream to include the license text in the tarball, I do not see a link to the home page of the project, if get access to the upstream home page you shold path the license text in the package.

2. Fix the end of line of the READM file, See: https://fedoraproject.org/wiki/Packaging_tricks#Remove_DOS_line_endings


===== MUST items =====
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
[-]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[-]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. 
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====
Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: python2-dbf-0.96.005-1.fc21.noarch.rpm
          python3-dbf-0.96.005-1.fc21.noarch.rpm
          python-dbf-0.96.005-1.fc21.src.rpm
python2-dbf.noarch: W: spelling-error Summary(en_US) dBase -> d Base, base, debase
python2-dbf.noarch: W: spelling-error %description -l en_US dBase -> d Base, base, debase
python2-dbf.noarch: W: spelling-error %description -l en_US unicode -> Unicode, uni code, uni-code
python2-dbf.noarch: W: spelling-error %description -l en_US codepage -> code page, code-page, decoupage
python2-dbf.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python2-dbf/README.md
python3-dbf.noarch: W: spelling-error Summary(en_US) dBase -> d Base, base, debase
python3-dbf.noarch: W: spelling-error %description -l en_US dBase -> d Base, base, debase
python3-dbf.noarch: W: spelling-error %description -l en_US unicode -> Unicode, uni code, uni-code
python3-dbf.noarch: W: spelling-error %description -l en_US codepage -> code page, code-page, decoupage
python3-dbf.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python3-dbf/README.md
python-dbf.src: W: spelling-error Summary(en_US) dBase -> d Base, base, debase
python-dbf.src: W: spelling-error %description -l en_US dBase -> d Base, base, debase
python-dbf.src: W: spelling-error %description -l en_US unicode -> Unicode, uni code, uni-code
python-dbf.src: W: spelling-error %description -l en_US codepage -> code page, code-page, decoupage
3 packages and 0 specfiles checked; 0 errors, 14 warnings.

Rpmlint (installed packages)
----------------------------
python2-dbf.noarch: W: spelling-error Summary(en_US) dBase -> d Base, base, debase
python2-dbf.noarch: W: spelling-error %description -l en_US dBase -> d Base, base, debase
python2-dbf.noarch: W: spelling-error %description -l en_US unicode -> Unicode, uni code, uni-code
python2-dbf.noarch: W: spelling-error %description -l en_US codepage -> code page, code-page, decoupage
python2-dbf.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python2-dbf/README.md
python3-dbf.noarch: W: spelling-error Summary(en_US) dBase -> d Base, base, debase
python3-dbf.noarch: W: spelling-error %description -l en_US dBase -> d Base, base, debase
python3-dbf.noarch: W: spelling-error %description -l en_US unicode -> Unicode, uni code, uni-code
python3-dbf.noarch: W: spelling-error %description -l en_US codepage -> code page, code-page, decoupage
python3-dbf.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python3-dbf/README.md
2 packages and 0 specfiles checked; 0 errors, 10 warnings.

Requires
--------
python2-dbf (rpmlib, GLIBC filtered):
    python(abi)

python3-dbf (rpmlib, GLIBC filtered):
    python(abi)

Provides
--------
python2-dbf:
    python-dbf
    python2-dbf

python3-dbf:
    python3-dbf

Source checksums
----------------
https://pypi.python.org/packages/source/d/dbf/dbf-0.96.005.tar.gz :
  CHECKSUM(SHA256) this package     : d6e03f1dca40488c37cf38be9cb28b694c46cec747a064dcb0591987de58ed02
  CHECKSUM(SHA256) upstream package : d6e03f1dca40488c37cf38be9cb28b694c46cec747a064dcb0591987de58ed02
Comment 2 Julien Enselme 2015-12-04 14:43:58 EST
Thanks for the review. I'll correct the line ending of the README and contact upstream for the license before importing the package into pkgdb.
Comment 3 Gwyn Ciesla 2015-12-04 14:54:00 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-dbf
Comment 4 Fedora Update System 2015-12-04 15:38:12 EST
python-dbf-0.96.005-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4a867ad4e4
Comment 5 Fedora Update System 2015-12-04 15:44:24 EST
python-dbf-0.96.005-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ba1f02a453
Comment 6 Fedora Update System 2015-12-06 00:22:21 EST
python-dbf-0.96.005-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-dbf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4a867ad4e4
Comment 7 Fedora Update System 2015-12-06 12:20:54 EST
python-dbf-0.96.005-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-dbf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ba1f02a453
Comment 8 Fedora Update System 2015-12-14 06:51:17 EST
python-dbf-0.96.005-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-12-15 08:24:01 EST
python-dbf-0.96.005-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.